[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

RE: Regarding upgrading GCC2.96 to 3.2.2 (from where to finddependency info?)



"rpm -qR -p packagefile.rpm" will output the dependencies for the rpm file.  In your case I would suspect that you may need to also install (or upgrade to) gcc-3.2.2-5.i386.rpm either before or at the same time.  Other common dependencies for gcc-c++ are libstdc++, libstdc++-devel, cpp, and glibc-devel. 

________________________________________
From: rpm-list-bounces redhat com [mailto:rpm-list-bounces redhat com] On Behalf Of Pranav
Sent: Friday, April 15, 2005 12:32 PM
To: RPM Package Manager
Subject: Re: Regarding upgrading GCC2.96 to 3.2.2 (from where to finddependency info?)

Hi Jim,
 
I do not know which packages are required and from the error I am not able to make out. Could you please help me?
 
Regards,
 
Pranav.


jim dorey <skaar ns sympatico ca> wrote:
On Fri, 15 Apr 2005 10:15:23 -0700 (PDT), Pranav wrote:

> Hi All,
> I want to upgrade GCC version GCC 2.96 to GCC 3.2.2 on RedHat Linux 7.3. 
> I have downloaded RPM package for GCC 3.2.2 (gcc-c++-3.2.2-5.i386.rpm) 
> and when I tried to install it using "rpm -Uvh" it gave me errors for 
> dependencies.
> I tried to search on Internet to find any documentation which describes 
> dependencies for this package; but could not find any.
> Can any one help me please?
> Regards,
> Pranav.

if you know you have the packages, in the exact spot that the installed 
pacakge will look for them then try a nodeps.

-- 
Using Opera's revolutionary e-mail client: http://www.opera.com/mail/

_______________________________________________
Rpm-list mailing list
Rpm-list redhat com
https://www.redhat.com/mailman/listinfo/rpm-list


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]